# Fish config file
fundle plugin 'decors/fish-colored-man'
fundle plugin 'oh-my-fish/theme-nai'

fundle init

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Text Editor
export EDITOR="vim"

# Aliases
alias f "fff"
alias tmux "tmux -2"
alias peerflix "peerflix -d"
alias xclip "xclip -selection clipboard"

function fish_title
  true
end

# Spacemacs
if test -n "$EMACS"
  set -x TERM eterm-color
end

# fff
## Directory color [0-9]
export FFF_COL1=3
export FFF_COL2=8

## Favourites (keys 1-9) (dir or file)
export FFF_FAV1=/home/coolneng/Nextcloud/Documents/Archive-uni/Second\ year/
export FFF_FAV2=/home/coolneng/Nextcloud/Documents/Papers
export FFF_FAV3=/home/coolneng/Nextcloud/Documents/Books/Academic/
export FFF_FAV4=/home/coolneng/Nextcloud/Documents/Extracurricular/

## Compiler
export CC=/usr/local/bin/clang80
export CXX=/usr/local/bin/clang++80
